%define fname church
%define ttfdir %_datadir/fonts/default/TrueType-%fname

Name: church-fonts-ttf
Version: 20040618
Release: alt1

Summary: Church Slavonic TrueType fonts
Summary (ru_RU.KOI8-R): -  TrueType

License: see LICENSE file
Group: System/Fonts/True type
Url: http://irmologion.narod.ru/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: %name.tar.bz2

BuildArch: noarch

BuildRequires: freetype, XFree86-utils
PreReq: chkfontpath freetype fontconfig

%description
This Package provides a Church Slavonic TrueType fonts
from Irmologion project.

%description -l ru_RU.KOI8-R
    -
 TrueType  .

%prep
%setup -q -n %name

%install
mkdir -p $RPM_BUILD_ROOT%ttfdir
%_sbindir/ttmkfdir -f %fname -o ./fonts.dir >& /dev/null
mkfontdir ./
install -p -m644 *.ttf $RPM_BUILD_ROOT%ttfdir
install -p -m644 fonts.dir $RPM_BUILD_ROOT%ttfdir/fonts.dir
cd $RPM_BUILD_ROOT%ttfdir
ln -s %_sysconfdir/X11/encodings.dir encodings.dir
touch fonts.cache-1

%post
%_bindir/fc-cache %ttfdir
/usr/sbin/chkfontpath -q --add %ttfdir

%postun
if [ "$1" = "0" ]; then
        %_sbindir/chkfontpath -q --remove  ||:
fi
		
%triggerpostun -- %name < 20030330-alt3
%_sbindir/chkfontpath -q --add %ttfdir ||:

%files
%doc AUTHORS README ChangeLog ReadMe.txt LICENSE
%dir %ttfdir
%ttfdir/*.ttf
%config %ttfdir/fonts.cache-1
%config %ttfdir/fonts.dir
%config %ttfdir/encodings.dir

%changelog
* Fri Jun 18 2004 Vitaly Lipatov <lav@altlinux.ru> 20040618-alt1
- correct postun section (bug #3673). Thanks to Michael Shigorin
- new fonts Indycton, Triodion, Vertograd, Zlatoust, Orthodox

* Mon Jan 12 2004 Vitaly Lipatov <lav@altlinux.ru> 20030330-alt3
- rebuild with some changes and fonts.dir inside

* Wed Aug 27 2003 Vyacheslav Dikonov <slava@altlinux.ru> 20030330-alt2
- Changed dir
- Cleanups

* Thu Apr 03 2003 Vitaly Lipatov <lav@altlinux.ru> 20030330-alt1
- first ALTLinux build
